Update Skill
curl --request PATCH \
--url https://api.agentpowers.ai/v1/skills/{slug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bump": "<string>",
"version": "<string>",
"title": "<string>",
"description": "<string>",
"long_description": "<string>",
"category": "<string>",
"price_cents": 1,
"changelog": "<string>"
}
'import requests
url = "https://api.agentpowers.ai/v1/skills/{slug}"
payload = {
"bump": "<string>",
"version": "<string>",
"title": "<string>",
"description": "<string>",
"long_description": "<string>",
"category": "<string>",
"price_cents": 1,
"changelog": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bump: '<string>',
version: '<string>',
title: '<string>',
description: '<string>',
long_description: '<string>',
category: '<string>',
price_cents: 1,
changelog: '<string>'
})
};
fetch('https://api.agentpowers.ai/v1/skills/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"slug": "<string>",
"previous_version": "<string>",
"new_version": "<string>",
"version_id": "<string>",
"status": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}skills
Update Skill
Update an existing skill — creates a new version.
PATCH
/
v1
/
skills
/
{slug}
Update Skill
curl --request PATCH \
--url https://api.agentpowers.ai/v1/skills/{slug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bump": "<string>",
"version": "<string>",
"title": "<string>",
"description": "<string>",
"long_description": "<string>",
"category": "<string>",
"price_cents": 1,
"changelog": "<string>"
}
'import requests
url = "https://api.agentpowers.ai/v1/skills/{slug}"
payload = {
"bump": "<string>",
"version": "<string>",
"title": "<string>",
"description": "<string>",
"long_description": "<string>",
"category": "<string>",
"price_cents": 1,
"changelog": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bump: '<string>',
version: '<string>',
title: '<string>',
description: '<string>',
long_description: '<string>',
category: '<string>',
price_cents: 1,
changelog: '<string>'
})
};
fetch('https://api.agentpowers.ai/v1/skills/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"slug": "<string>",
"previous_version": "<string>",
"new_version": "<string>",
"version_id": "<string>",
"status": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Provide a Clerk JWT or a long-lived CLI token (prefix ap_cli_). Pass as Authorization: Bearer <token>.
Path Parameters
Body
application/json
Pattern:
^(patch|minor|major)$Required string length:
3 - 100Required string length:
10 - 1024Required string length:
2 - 50Required range:
x >= 0Was this page helpful?